import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/GeniXiong/c79ef0133d780e7d788ae494cb2c3e1e/raw/45c18e9f54bee2677dc9be15e7f9fa5ad93552ae/UsSchoolRankings.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.rank = +d.rank;
      d.acceptance = +d.acceptance;
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};